> ## Documentation Index
> Fetch the complete documentation index at: https://docs.upwell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create One Vendor

> Create a new vendor



## OpenAPI

````yaml /api-reference/openapi.json post /api/rest/vendors
openapi: 3.1.0
info:
  description: >-
    Upwell is Accounts Receivable automation software for the logistics
    industry. We serve freight brokers, carriers, factors, and anyone who needs
    to get transportation invoices paid.


    Learn more at:


    - [Upwell.com](https://upwell.com)
  title: Upwell REST API
  version: 3.30.2
  termsOfService: https://upwell.com/legal
  contact:
    name: Upwell
    url: https://upwell.com
    email: contact@upwell.com
servers:
  - url: https://api.upwell.com
    description: Production server
  - url: https://staging.api.upwell.com
    description: Staging server
security: []
tags:
  - name: Invoice Approval
    description: Endpoints for managing customer invoice approval workflow
paths:
  /api/rest/vendors:
    post:
      tags:
        - Vendors
      summary: Create One Vendor
      description: Create a new vendor
      parameters:
        - description: >-
            Your API key will be used for authentication of the request.
            `Authorization: YOUR_API_KEY`
          in: header
          name: authorization
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                input:
                  $ref: '#/components/schemas/VendorsInsertInput'
              type: object
        description: >-
          Query parameters can also be provided in the request body as a JSON
          object
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  createVendor:
                    description: Vendors
                    nullable: true
                    properties:
                      createdAt:
                        $ref: '#/components/schemas/timestamptz'
                      id:
                        nullable: false
                        title: String
                        type: string
                      name:
                        nullable: false
                        title: String
                        type: string
                      sourceSystem:
                        nullable: false
                        title: String
                        type: string
                      sourceSystemId:
                        nullable: false
                        title: String
                        type: string
                      sourceSystemMeta:
                        $ref: '#/components/schemas/jsonb'
                      updatedAt:
                        $ref: '#/components/schemas/timestamptz'
                    title: Vendors
                    type: object
          description: Responses for POST /api/rest/vendors
components:
  schemas:
    VendorsInsertInput:
      description: input type for inserting data into table "vendors"
      nullable: false
      properties:
        name:
          nullable: true
          title: String
          type: string
        sourceSystem:
          nullable: true
          title: String
          type: string
        sourceSystemId:
          nullable: true
          title: String
          type: string
        sourceSystemMeta:
          $ref: '#/components/schemas/jsonb'
      title: VendorsInsertInput
      type: object
    timestamptz:
      nullable: false
      title: timestamptz
      type: string
      format: date-time
      description: >-
        A timestamp with timezone in ISO 8601 format, such as
        2024-12-16T21:57:14.525733+00:00
    jsonb:
      nullable: false
      title: jsonb

````